Summary: A library of functions for manipulating TIFF format image files.
Name: libtiff
Version: 3.6.1
Release: 1tr
License: distributable
Group: Trustix Official
Source0: ftp://ftp.remotesensing.org/pub/libtiff/tiff-v%{version}.tar.gz
Patch0: tiff-v3.6-shlib.patch
Patch2: libtiff-v3.5.4-codecs.patch
Patch3: libtiff-v3.5.4-mandir.patch
Patch4: libtiff-v3.5.5-buildroot.patch
Patch6: libtiff-v3.5.7-seek.patch
Patch7: libtiff-v3.5.7-exit.patch
Patch8: libtiff-v3.5.7-largefile.patch
Patch9: libtiff-v3.6.1-makeflags.patch
Patch10: libtiff-3.6.1-alt-bound.patch
Patch11: libtiff-3.6.1-chris-bound.patch
Patch12: libtiff-3.6.1-alt-bound-fix.patch
URL: http://www.libtiff.org/
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: zlib-devel zlib libjpeg-devel libjpeg
Requires: zlib libjpeg 
%define LIBVER %(echo %{version} | cut -f-2 -d.)

%description
The libtiff package contains a library of functions for manipulating 
TIFF (Tagged Image File Format) image format files.  TIFF is a widely
used file format for bitmapped images.  TIFF files usually end in the
.tif extension and they are often quite large.

The libtiff package should be installed if you need to manipulate TIFF
format image files.

%package devel
Summary: Development tools for programs which will use the libtiff library.
Group: Trustix Official
Requires: libtiff = %{version}

%description devel
This package contains the header files and static libraries for
developing programs which will manipulate TIFF format image files
using the libtiff library.

If you need to develop programs which will manipulate TIFF format
image files, you should install this package.  You'll also need to
install the libtiff package.

%prep
%setup -q -n tiff-v%{version}
%patch0 -p1
#%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p0
find . -type d -name CVS | xargs -r rm -frv

%build

# Fixes problem with newer bash versions and doesn't hurt older ones.
CDPATH=""
unset CDPATH
./configure --prefix=/usr --target=%{_target_platform} << EOF
no
%{_bindir}
%{_libdir}
%{_includedir}
%{_mandir}
$RPM_DOC_DIR/%{name}-%{version}
bsd-source-cat
yes
EOF
cd libtiff
ln -s libtiff.so.%{LIBVER} libtiff.so
cd ..
export LDOPTS=-s
make LIBJPEG="-L%{_libdir} -ljpeg" LIBGZ="-L%{_libdir} -lz" %{?_smp_mflags}

%install
[ "$RPM_BUILD_DIR" ] && rm -fr $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{%{_bindir},%{_includedir},%{_mandir}}
make install
rm -f $RPM_BUILD_ROOT%{_libdir}/libtiff.so*
install -m755 libtiff/libtiff.so.%{LIBVER} $RPM_BUILD_ROOT%{_libdir}
ln -sf libtiff.so.%{LIBVER} $RPM_BUILD_ROOT%{_libdir}/libtiff.so
/sbin/ldconfig -n $RPM_BUILD_ROOT/%{_lib}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"


%files
%defattr(-,root,root)
%doc COPYRIGHT README VERSION
%{_bindir}/*
%{_libdir}/libtiff.so.*
%{_mandir}/man1/*

%files devel
%defattr(-,root,root)
%doc TODO html
%{_includedir}/*
%{_libdir}/libtiff.so
%{_libdir}/libtiff.a
%{_mandir}/man3/*

%changelog
* Tue Oct 12 2004 Oystein Viggen <oysteivi at trustix dot com> 3.6.1-1tr
- New upstream
- CAN-2004-0803, CAN-2004-0886

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 3.5.7-2tr
- Big rebuild

* Mon Apr 14 2003 Gerald Dachs <gda at trustix dot org> 3.5.7-1gd
- initial release
